Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Ошибка обновления  (Прочитано 1453 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Maple_Oleg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Ошибка обновления
« : 13 Январь 2016, 15:15:24 »
Ubuntu 15.04. 4.4.0-040400-generic

Помогите разобраться. Гугл не помог. Может неправильно искал.
Проблема в том, что не обновляется ядро, а старые не удаляются.

(Нажмите, чтобы показать/скрыть)

(Нажмите, чтобы показать/скрыть)

(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 13 Январь 2016, 15:27:02 от Maple_Oleg »

Оффлайн makla4nik

  • Любитель
  • *
  • Сообщений: 67
  • Linux Mint 18 KDE
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #1 : 13 Январь 2016, 18:03:57 »
а update делался?
прорвёмся!

Оффлайн Maple_Oleg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #2 : 13 Январь 2016, 18:47:13 »

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #3 : 13 Январь 2016, 19:00:51 »
uname -a
смотри текущее ядро
ls /var/lib/dpkg/info/linux-image-3.19*  /var/lib/dpkg/info/linux-image-extra-3.19
и удалить все файлы, которые связаны с проблемными пакетами,

Оффлайн Maple_Oleg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #4 : 13 Январь 2016, 19:10:14 »
uname -a
смотри текущее ядро
ls /var/lib/dpkg/info/linux-image-3.19*  /var/lib/dpkg/info/linux-image-extra-3.19
и удалить все файлы, которые связаны с проблемными пакетами,

Вот:
(Нажмите, чтобы показать/скрыть)

просто удалить эти файлы из /var/lib/dpkg/info/ ?

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #5 : 13 Январь 2016, 19:43:56 »
да
sudo rm /var/lib/dpkg/info/linux-image-3.19*
д.б. еще linux-image-extra-3.19
dpkg -l linux-image-extra-3*





Оффлайн Maple_Oleg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #6 : 13 Январь 2016, 20:05:17 »
да
sudo rm /var/lib/dpkg/info/linux-image-3.19*
д.б. еще linux-image-extra-3.19
dpkg -l linux-image-extra-3*

удалил,
затем
(Нажмите, чтобы показать/скрыть)

потом update и вот:
(Нажмите, чтобы показать/скрыть)

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #7 : 13 Январь 2016, 20:17:04 »
проще уже будет удалить старые ядра
и как ставил 4.4?

Оффлайн Maple_Oleg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #8 : 13 Январь 2016, 20:26:00 »
проще уже будет удалить старые ядра
и как ставил 4.4?

уже не помню как-то поставил 4.1. и 4.4 теперь вижу что нет файла «/boot/initrd.img-4.4.0-040400-generic.new»
и попробовал так:
$ wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-wily/linux-headers-4.4.0-040400_4.4.0-040400.201601101930_all.deb
$ wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-wily/linux-headers-4.4.0-040400-generic_4.4.0-040400.201601101930_amd64.deb
$ wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-wily/linux-image-4.4.0-040400-generic_4.4.0-040400.201601101930_amd64.deb

и

dpkg -i linux*.deb

но выдает:
(Нажмите, чтобы показать/скрыть)



Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #9 : 13 Январь 2016, 20:36:59 »
неправильно установлено 4.4
через grub  попробуй загрузиться с предыдущего ядра
dpkg --get-selections linux-image-[0-9]* linux-headers-[0-9]*

Оффлайн Maple_Oleg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #10 : 13 Январь 2016, 20:41:26 »
неправильно установлено 4.4
через grub  попробуй загрузиться с предыдущего ядра
dpkg --get-selections linux-image-[0-9]* linux-headers-[0-9]*

понял, что неправильно

сделал так сейчас:
gdebi linux-headers-4.4*.deb linux-image-4.4*.deb
и
update-grub

все прошло без ошибок.
сейчас перезагружусь и посмотрю update, upgrade


Пользователь решил продолжить мысль [time]13 Январь 2016, 21:43:21[/time]:
а как вычистить старые ядра?

Пользователь решил продолжить мысль [time]13 Январь 2016, 21:45:46[/time]:
вот что стало после перезагрузки:
(Нажмите, чтобы показать/скрыть)

теперь dpkg
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 13 Январь 2016, 20:49:45 от Maple_Oleg »

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1815
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #11 : 13 Январь 2016, 20:59:40 »
4.4 криво установлен, а других ядер уже нет.
ставь родное ядро для 1510 из репов, а 4.4, (остатки 4.1)  потом удалять
sudo rm /var/lib/dpkg/info/linux-image-4.1*
« Последнее редактирование: 13 Январь 2016, 21:01:13 от ARTGALGANO »

Оффлайн Maple_Oleg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #12 : 13 Январь 2016, 21:14:30 »
4.4 криво установлен, а других ядер уже нет.
ставь родное ядро для 1510 из репов, а 4.4, (остатки 4.1)  потом удалять
sudo rm /var/lib/dpkg/info/linux-image-4.1*
почему из 15.10 а не из 15.04 ?
и ещЁ - так же сделать?
gdebi linux-headers-х.х*.deb linux-image-х.х*.deb
и
update-grub

Пользователь решил продолжить мысль 14 Январь 2016, 13:09:52:
4.4 криво установлен, а других ядер уже нет.
ставь родное ядро для 1510 из репов, а 4.4, (остатки 4.1)  потом удалять
sudo rm /var/lib/dpkg/info/linux-image-4.1*

Правильно я понял, что надо ставить для 15.04 и родное ядро для этой версии 3.19 ?

ставить по этому мануалу? > http://help.ubuntu.ru/wiki/%D1%8F%D0%B4%D1%80%D0%BE
« Последнее редактирование: 14 Январь 2016, 13:09:52 от Maple_Oleg »

Оффлайн Maple_Oleg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: Ошибка обновления
« Ответ #13 : 15 Январь 2016, 14:19:57 »
не пришлось делать установку родного ядра для 15.04.
Предложенное обновление до 15.10 исправило все ошибки. Всё работает.

 

Страница сгенерирована за 0.062 секунд. Запросов: 24.